/*******************************************************************************
* Driving a Robot using Bluetooth
*
* 
* 14 Out 2019 Franklin Parrini
*******************************************************************************/

#include "FalconRobot.h"
#include <Servo.h>
FalconRobotMotors motors(5, 7, 6, 8);

int LedPin = 13;
Servo servo_motor;

void setup() {
  Serial.begin(9600);
  pinMode(LedPin, OUTPUT);
  servo_motor.attach(9);
  servo_motor.write(120);
  Serial.println("Experiencia de movimentacao de robo!");
  delay(2000);
}

void loop() {

  char opt = Serial.read();

  switch(opt)
  {
    case 'a':
    digitalWrite(LedPin, LOW);
    motors.stop();
    delay(150);
    digitalWrite(LedPin, HIGH);
    motors.drive(80, FORWARD);
    break;

    case 'b':
    digitalWrite(LedPin, LOW);
    motors.stop();
    delay(150);
    digitalWrite(LedPin, HIGH);
    motors.leftDrive(40, BACKWARD);
    motors.rightDrive(40, FORWARD);
    break;

    case 'c':
    digitalWrite(LedPin, LOW);
    motors.stop();
    delay(150);
    digitalWrite(LedPin, HIGH);
    motors.leftDrive(40, FORWARD);
    motors.rightDrive(40, BACKWARD);
    break;

    case 'd':
    digitalWrite(LedPin, LOW);
    motors.stop();
    delay(150);
    digitalWrite(LedPin, HIGH);
    motors.drive(60, BACKWARD);
    break;

    case 'e':
    digitalWrite(LedPin, LOW);
    motors.stop();
    break;

    case 'f':
    servo_motor.write(170);
    break;

    case 'g':
    servo_motor.write(100);
    break;

    case 'h':
    servo_motor.write(140);
    break;
  
  }
}
